Subject: [stir] Definitions of error codes lost in RFC 8224

From: Marc Petit-Huguenin <[email-masked]>
Date: Tue, 30 Mar 2021 09:27:43 -0700

Hi,

RFC 8224 deprecates RFC 4474 which is then correctly referenced as informative in RFC 8224, which AFAICT means that I do not need RFC 4474 to implement RFC 8224.

But the definitions of error code 428, 436, 437 and 438 were not duplicated in RFC 8224.  Similarly the IANA registry points to RFC 8224, which does not contains the definition of these error code, which is a bit confusing.

Is that an oversight?

Thanks.

-- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: https://marc.petit-huguenin.org
Profile: https://www.linkedin.com/in/petithug

---

From: Chris Wendt <[email-masked]>
Date: Wed, 31 Mar 2021 07:54:50 -0400

Hi Marc,

As far as i see all the error codes are defined in Section 6.2, 6.2.2. I guess maybe you are talking procedural thing that 8224 didn’t fully re-request from IANA?  If so maybe others can comment.

-Chris

> On Mar 30, 2021, at 12:27 PM, Marc Petit-Huguenin <[email-masked]> wrote:
> 
> Hi,
> 
> _______________________________________________
> stir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/stir

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Wed, 31 Mar 2021 05:21:27 -0700

Hi Chris,

I see now that 6.2.2 covers all the definitions I was looking for in the IANA considerations, so never mind.

Thanks.